SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   Util-linux Vendors:   [Multiple Authors/Vendors]
util-linux Login Program May Leak Authentication Data to Local Users
SecurityTracker Alert ID:  1008918
SecurityTracker URL:  http://securitytracker.com/id/1008918
CVE Reference:   CVE-2004-0080   (Links to External Site)
Date:  Feb 3 2004
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information


Description:   A vulnerability was reported in 'util-linux' in the login program. A local user may be able to view leaked data, including authentication data.

Red Hat reported that there is a vulnerability in 'util-linux' in the login program, at least as distributed with Red Hat Enterprise Linux 2.1AS.

The report indicates that, in some situations, that application may use a pointer that had been previously freed and subsequently reallocated. As a result, some data leakage may occur. For example, passwords may be written to wtmp.

Red Hat reports that Red Hat Enterprise Linux 3 and Red Hat Linux 9 are not affected.

[Editor's note: It is not clear whether other vendor distrubtions are affected or not.]

Impact:   A local user may be able to view leaked data, including authentication data.
Solution:   No upstream vendor solution was available at the time of this entry.

[Editor's note: Red Hat has issued a fix. A separate Alert will be issued regarding the Red Hat fix. See the Message History.]

Vendor URL:  freshmeat.net/projects/util-linux/ (Links to External Site)
Cause:   Access control error, State error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Feb 3 2004 (Red Hat Issues Fix for RH Enterprise Linux) util-linux Login Program May Leak Authentication Data to Local Users
Red Hat has released a fix for Red Hat Enterprise Linux 2.1.
Apr 1 2004 (SCO Issues Fix for OpenLinux) util-linux Login Program May Leak Authentication Data to Local Users
SCO has issued a fix for OpenLinux.
Apr 7 2004 (Gentoo Issues Fix) util-linux Login Program May Leak Authentication Data to Local Users
Gentoo has released a fix.



 Source Message Contents

Subject:  CVE: CVE-2004-0080


Red Hat reported that there is a vulnerability in 'util-linux' in the login program, at 
least as distributed with Red Hat Enterprise Linux 2.1AS.

The report indicates that, in some situations, that application may use a pointer that had 
been previously freed and subsequently reallocated.  As a result, some data leakage may 
occur.  For example, passwords may be written to wtmp.

Red Hat reports that Red Hat Enterprise Linux 3 and Red Hat Linux 9 are not affected.

It is not clear whether other vendor distrubtions are affected or not.

CVE: CAN-2004-0080

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC